Get Chain
Happy path: one chain. yourRole/yourPermissions are only set on transactions the user is a party to.
Required variables:
- baseUrl
- apiKey
- userToken
- chainId (set by
Get Chains)
Authorization
bearerAuth userTokenAuth Partner API key (lyh_...): identifies the calling partner, its scopes and rate limit.
In: header
The user's OAuth 2.1 access token, issued by Land Your Home's OAuth server to this partner's OAuth client. Requests run as this user.
In: header
Path Parameters
Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/v1/chains/string"{ "data": { "id": "497307d5-5d0f-4be5-94e4-6a4014631ade", "updatedAt": "2026-10-02T08:36:26.062403+00:00", "links": [ { "id": "39be39f6-b56a-49a8-aed0-dc764c82cdb5", "transactionId": "ea6a1112-5f32-4f6a-ac20-fa0b2b55b67f", "dependencyId": "d8a7f0c1-f280-44cc-953a-7057ad310e19" }, { "id": "4511315d-8408-4cdc-8a38-e1e9a61b8e29", "transactionId": "b939a7de-a264-4855-b37d-d9721cea8797", "dependencyId": "ab17111b-bc1d-4406-a394-95ab242d0fc5" } ], "transactions": [ { "id": "169450c9-05d2-400f-b7df-0ff03a94c309", "updatedAt": "2026-10-02T08:36:26.062403+00:00", "saleState": "off-market", "status": null, "yourRole": null, "address": { "line1": "34 CHESTNUT CLOSE", "line2": "", "city": "LIVERPOOL", "region": "MERSEYSIDE", "postcode": "L18 1JD", "country": "GB" }, "propertyId": "f3679980-8a76-461d-a2f1-68b3f59b9a3e", "amount": 0, "currency": "GBP", "transactionDate": "2029-07-12T00:00:00+00:00", "yourPermissions": null, "listing": { "amount": 376837, "currency": "GBP", "agent": "DESIGNIBL Estate Agents", "url": null }, "stageProgress": { "notStarted": 6, "inProgress": 0, "blocked": 3, "completed": 0 } }, { "id": "b939a7de-a264-4855-b37d-d9721cea8797", "updatedAt": "2026-10-02T08:36:26.062403+00:00", "saleState": "unknown", "status": null, "yourRole": "Buyer", "address": { "line1": "62 POPLAR ROAD", "line2": "", "city": "CARDIFF", "region": "CARDIFF", "postcode": "CF14 3BL", "country": "GB" }, "propertyId": "ccd9b5e2-ab83-4217-991e-95086ffbc74e", "amount": 0, "currency": "GBP", "transactionDate": "2029-06-24T00:00:00+00:00", "yourPermissions": { "chainNode": { "canView": true, "canEdit": true, "canDelete": true }, "propertyDetails": { "canView": true, "canEdit": true, "canDelete": true }, "transactionDetails": { "canView": true, "canEdit": true, "canDelete": true }, "transactionParty": { "canView": true, "canEdit": true, "canDelete": true }, "listingDetails": { "canView": true, "canEdit": true, "canDelete": true } }, "listing": { "amount": 151522, "currency": "GBP", "agent": "DESIGNIBL Estate Agents", "url": null }, "stageProgress": { "notStarted": 9, "inProgress": 0, "blocked": 0, "completed": 0 } } ] }}Delete Chain Link
A link that does not exist, or is not in this chain, returns notfound. The success state (200, { data: { newChainId } }) removes the link; newChainId is the id of the chain that was split off if removing the link disconnected part of it, otherwise null. Needs chainNode.canDelete on either transaction (403 forbidden otherwise).
Get Chains
Happy path: the chains the user is in, with their links and a summary of each transaction.

